﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WlasciwosciFigur;



namespace DziedziczenieWlasciwosciFigur
{

    public partial class Form1 : Form
    {
        private Trojkat trojkat;
        private Okrag okrag;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //usun stary trójkąt
            if(trojkat!=null) { trojkat = null; }
            //brak zabezpieczenia przed konwersją pustych txtBoxów
            //lub błednie wypełnionych
            trojkat = new Trojkat(3);
            trojkat.UstawDlugosc(0,(float)Convert.ToDouble(textBox1.Text));
            trojkat.UstawDlugosc(1,(float)Convert.ToDouble(textBox2.Text));
            trojkat.UstawDlugosc(2,(float)Convert.ToDouble(textBox3.Text));
            //czyść poprzednie wpisy
            textBox4.Text= string.Empty;
            if (!trojkat.CzyTrojkat()) return;
            textBox4.AppendText("Obwód:" 
                                + String.Format("{0,0:F2} cm", trojkat.Obwod())
                                + Environment.NewLine);
            textBox4.AppendText("Pole:" 
                                + String.Format("{0,0:F2} cm^2", trojkat.Pole()));
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //usun stary okrag
            if (okrag != null) { okrag = null; }
            //brak zabezpieczenia przed konwersją pustych txtBoxów
            //lub błednie wypełnionych
            okrag = new Okrag(1);
            okrag.UstawDlugosc(0, (float)Convert.ToDouble(textBox8.Text));
            //czyść poprzednie wpisy
            textBox5.Text = string.Empty;
            textBox5.AppendText("Obwód:"
                                + String.Format("{0,0:F2} cm", okrag.Obwod())
                                + Environment.NewLine);
            textBox5.AppendText("Średnica:"
                                + String.Format("{0,0:F2} cm", okrag.Srednica())
                                + Environment.NewLine);
            textBox5.AppendText("Pole:"
                                + String.Format("{0,0:F2} cm^2", okrag.Pole())
                                + Environment.NewLine);
        }
    }
}
