﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WlasciwosciFigur
{
    internal class Figura
    {
        private int n;//ilość odcinków
        //okrąg ma jeden i jest to promien,
        //trojkat ma trzy i są to boki itd.
        private List<float> odcinek;

        //dostęp do właściwości
        public int IleOdcinkow
        {
            set{n= value;//ustaw ile docinków ma figura
                odcinek.Clear();//czyśc liste odcinków
                //ustaw długosci odcinko na zero
                for (int i = 0; i < n; i++) odcinek.Add(0);
            }
            get{ return n;}//zwróć ilość odcinków 
        }
        public List<float> Odcinek
        {
            get { return odcinek;}  
        }
        //konstruktor
        public Figura(int ileOdcinkow)
        {
            odcinek = new List<float>();
            IleOdcinkow= ileOdcinkow;
        }
        //destruktor
        ~Figura()
        {
            odcinek.Clear();
            odcinek = null;
        }
        //metody
        public void UstawDlugosc(int i,float dlugosc)
        {
            if (i < odcinek.Count)
                odcinek[i] = dlugosc;
            else MessageBox.Show(
                 "Figura nie ma takiej ilości odcinków",
                 "Komunikat",
                 MessageBoxButtons.OK,
                 MessageBoxIcon.Error
                );
        }
        //ustaw losowe dlugosci boków
        public void UstawLosoweDlugosciBokow()
        {
            Random los=new Random();
            for (int i = 0; i < n; i++)
                UstawDlugosc(i, (float)los.NextDouble()*100+1);
        }
        public virtual float Obwod()
        {
            float obw = 0;
            foreach (float o in odcinek)
                    obw += o;
            return obw;
        }
    }
}
