﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WlasciwosciFigur;



namespace DziedziczenieWlasciwosciFigur
{
    internal class Trojkat : Figura
    {
        public Trojkat(int ileOdcinkow) : base(ileOdcinkow)
        {
        }
        public bool CzyTrojkat()
        {
            if (Odcinek[0] + Odcinek[1] > Odcinek[2] &&
                Odcinek[1] + Odcinek[2] > Odcinek[0] &&
                Odcinek[2] + Odcinek[0] > Odcinek[1])
                return true;
            else
            {
                MessageBox.Show(
                    "Z podanych boków nie można zbudować trójkąta.",
                    "Komunikat",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Information
                    );
                return false;
            }
        }
        public float Pole()
        {
            float p = (Odcinek[0] + Odcinek[1] + Odcinek[2]) / 2;
            return (float)  Math.Sqrt(
                             p * (p - Odcinek[0]) 
                             * (p - Odcinek[1]) 
                             * (p - Odcinek[2]) );
        }
    }
}
